package com.mx.dla.dda.contrato.titulo.dtos;

import java.text.DecimalFormat;
import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;

public class SapNum extends BaseDTO{

	
	/**
	 * 
	 */
	 
	
	private static final long serialVersionUID = 1L;
	private Long idRegistroSAP;
	private Long idContrato;
	private Long idTituloCNT;
	private Long idTituloCtoOrig;
	private String aumento;
	private String disminucion;
	private Date fechaSAP;
	private String subnumero;
	
	public SapNum(){	
	}
	
	public SapNum(Long idContrato, Long idTituloCNT,
			Long idTituloCNTORI) {			
		this.idContrato = idContrato;
		this.idTituloCNT = idTituloCNT;
		this.idTituloCtoOrig = idTituloCNTORI;		
	}

	public Long getIdRegistroSAP() {
		return idRegistroSAP;
	}

	public void setIdRegistroSAP(Long idRegistroSAP) {
		this.idRegistroSAP = idRegistroSAP;
	}

	public Long getIdContrato() {
		return idContrato;
	}

	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}

	public Long getIdTituloCNT() {
		return idTituloCNT;
	}

	public void setIdTituloCNT(Long idTituloCNT) {
		this.idTituloCNT = idTituloCNT;
	}

	public Long getIdTituloCtoOrig() {
		return idTituloCtoOrig;
	}

	public void setIdTituloCtoOrig(Long idTituloCtoOrig) {
		this.idTituloCtoOrig = idTituloCtoOrig;
	}

	public String getAumento() {
		return aumento;
	}

	public void setAumento(String aumento) {
		this.aumento = aumento;
	}

	public String getDisminucion() {
		return disminucion;
	}

	public void setDisminucion(String disminucion) {
		this.disminucion = disminucion;
	}

	public Date getFechaSAP() {
		return fechaSAP;
	}

	public void setFechaSAP(Date fechaSAP) {
		this.fechaSAP = fechaSAP;
	}

	public String getSubnumero() {
		return subnumero;
	}

	public void setSubnumero(String subnumero) {
		this.subnumero = subnumero;
	}
	
	
		
}
